export const ERRORS = {
  NOT_OWNER: 'Ownable: caller is not the owner',
  RATE_TOO_LOW: 'Actual reward rate is too low',
  DURATION_TOO_SHORT: 'Rewards duration is too short',
  REWARD_PERIOD_NOT_FINISHED: 'Previous rewards period must be complete before changing the duration for the new period',
  REWARD_PERIOD_DUPLICATE: 'Rewards duration duplicate',
  INVALID_PENALTY_WALLET: 'Invalid penalty wallet',
  ZERO_STAKE: 'Cannot stake 0',
  STAKE_PERIOD_TOO_SHORT: 'Staking period is too short',
  PAUSED: "Pausable: paused",
  NOT_STAKE_OWNER: 'Can`t be called not by stake owner',
  ZERO_REWARD: 'No rewards to claim',
  ALREADY_WITHDRAWN: 'Already unstaked',
  INVALID_REQUEST: 'Invalid startIndex + length',
  REWARD_TOO_HIGH: 'Provided reward too high',
  PREV_RATE_TOO_LOW: 'Previous reward rate is too low',
  REWARD_NOT_ACTIVATED: 'Reward period not activated',
  INVALID_ADDRESS: 'Invalid address',
}
